


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/md/bitmap.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN drivers/md/bitmap.c~md-optimised-resync-using-bitmap-based-intent-logging-fix drivers/md/bitmap.c
--- 25/drivers/md/bitmap.c~md-optimised-resync-using-bitmap-based-intent-logging-fix	2005-05-11 21:15:39.000000000 -0700
+++ 25-akpm/drivers/md/bitmap.c	2005-05-11 21:15:39.000000000 -0700
@@ -1209,8 +1209,10 @@ void bitmap_endwrite(struct bitmap *bitm
 	while (sectors) {
 		int blocks;
 		unsigned long flags;
+		bitmap_counter_t *bmc;
+
 		spin_lock_irqsave(&bitmap->lock, flags);
-		bitmap_counter_t *bmc = bitmap_get_counter(bitmap, offset, &blocks, 0);
+		bmc = bitmap_get_counter(bitmap, offset, &blocks, 0);
 		if (!bmc) {
 			spin_unlock_irqrestore(&bitmap->lock, flags);
 			return;
_
